Project

General

Profile

Bug #10310

Segmentation fault when trying to install bundle on Ruby 2.2.0dev

Added by hbd225 (Norimasa Ando) over 5 years ago. Updated over 5 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Target version:
ruby -v:
ruby 2.2.0dev (2014-10-01 trunk 47753) [x86_64-darwin12.0]
[ruby-core:65339]

Description

Hi, I've encountered following error when I tried to gem install bundle.
I'm not sure what's going on so I just attached a log file here.

If there is anything I can do to solve it please let me know.

git:master ❯ gem install bundle                                                                                                                          ✹
/Users/ando_norimasa/.rbenv/versions/trunk47753/lib/ruby/2.2.0/x86_64-darwin12.0/enc/encdb.bundle: [BUG] Segmentation fault at 0x00000000000448
ruby 2.2.0dev (2014-10-01 trunk 47753) [x86_64-darwin12.0]

-- Crash Report log information --------------------------------------------
   See Crash Report log file under the one of following:
     * ~/Library/Logs/CrashReporter
     * /Library/Logs/CrashReporter
     * ~/Library/Logs/DiagnosticReports
     * /Library/Logs/DiagnosticReports
   for more details.

-- Control frame information -----------------------------------------------
c:0002 p:-17540402733116 s:0004 e:000003 TOP    [FINISH]
c:0001 p:0000 s:0002 E:0000b0 TOP    [FINISH]


-- Machine register context ------------------------------------------------
 rax: 0x0000000000000000 rbx: 0x000000000000000b rcx: 0x0000000000001000
 rdx: 0x000000000000000b rdi: 0x000000000000000b rsi: 0x0000000000000000
 rbp: 0x00007fff545bdb30 rsp: 0x00007fff545bdb30  r8: 0x000000000000000b
  r9: 0x000000000000000e r10: 0x00007fff96886563 r11: 0x00007fff90041660
 r12: 0x00007f9f8bcb0620 r13: 0x000000010bad2972 r14: 0x0000000000000000
 r15: 0x00007f9f8bcb0620 rip: 0x000000010bb4a941 rfl: 0x0000000000010217

-- C level backtrace information -------------------------------------------
0   libruby.2.2.0.dylib                 0x000000010b8117b0 rb_vm_bugreport + 1376
1   libruby.2.2.0.dylib                 0x000000010b691c30 rb_bug_context + 464
2   libruby.2.2.0.dylib                 0x000000010b7800f0 sig_signame + 0
3   libsystem_c.dylib                   0x00007fff9004190a _sigtramp + 26
4   libruby.2.2.0.dylib                 0x000000010bb4a941 ruby_xmalloc + 17
5   ???                                 0x00007fff545bdb60 0x0 + 140734608694112

-- Other runtime information -----------------------------------------------

* Loaded script: /Users/ando_norimasa/.rbenv/versions/trunk47753/bin/ruby

* Loaded features:

    0 enumerator.so
    1 rational.so
    2 complex.so

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
Don't forget to include the above Crash Report log file.
For details: http://www.ruby-lang.org/bugreport.html

[1]    53816 abort      gem install bundle

Files

ruby_2014-10-01-200226_YG36-22277.crash (9.78 KB) ruby_2014-10-01-200226_YG36-22277.crash hbd225 (Norimasa Ando), 10/01/2014 03:12 PM

Updated by hbd225 (Norimasa Ando) over 5 years ago

When I use ruby 2.2.0dev (2014-10-03 trunk 47767) [x86_64-darwin12.0], I can install bundle without error so I think I should close this ticket.
Sorry for that.

Updated by hbd225 (Norimasa Ando) over 5 years ago

Could anyone please close this?

Updated by hsbt (Hiroshi SHIBATA) over 5 years ago

  • Status changed from Open to Rejected

Also available in: Atom PDF